Skip to content

TimeEntryType​

Categories of tracked time, such as work or driving. A type that is unassigned books its entries on no assignment.


OpenAPI Spec​

GET
/v2/time-entry-types/spec

Get OpenAPI 3.1.0 spec for TimeEntryType API

Responses​

Returns OpenAPI 3.1.0 spec for TimeEntryType API

application/json
JSON
{
}

Playground​

Samples​


List TimeEntryTypes​

GET
/v2/time-entry-types

List TimeEntryTypes

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
eventTypeUuid
name
isUnassigned
deactivatedAt
order
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"isUnassigned": true,
  
  
  
"eventTypeUuid": "string",
  
  
  
"order": 0,
  
  
  
"deactivatedAt": "string",
  
  
  
"externalId": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new TimeEntryType​

POST
/v2/time-entry-types

Create a new TimeEntryType

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isUnassigned": true,
  
"eventTypeUuid": "string",
  
"order": 1,
  
"externalId": "string"
}

Responses​

TimeEntryType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isUnassigned": true,
  
"eventTypeUuid": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a TimeEntryType​

GET
/v2/time-entry-types/{timeEntryTypeUuid}

Get a TimeEntryType by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

timeEntryTypeUuid*
Type
string
Required
Format
"uuid"

Responses​

TimeEntryType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isUnassigned": true,
  
"eventTypeUuid": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a TimeEntryType​

PATCH
/v2/time-entry-types/{timeEntryTypeUuid}

Update a TimeEntryType by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

timeEntryTypeUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"externalId": "string"
}

Responses​

TimeEntryType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isUnassigned": true,
  
"eventTypeUuid": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​